Basic Setup

This document covers all public APIs that blofin exchange provides.

Currently all the public APIs require no authentication information.

Base URL

https://api.blofin.com

Basic Data Structure of Response

ParameterTypeDescription
codeINTResponse code
msgSTRINGResponse information
dataOBJECTReturned data

Example

here is an example call to trading contracts API to get all trading contract list using curl

$ curl https://api.blofin.com/uapi/v1/market/symbol/all 
{
  "code": 200,
  "msg": "success",
  "data": [
    {
      "channel": "TICKER",
      "symbol": "BTC-USDT",
      "open": "27041",
      "close": "28070.5",
      "high": "28135.5",
      "low": "26672.5",
      "quantity": "379.742",
      "contract_quantity": "379742",
      "amount": "10314099.2845",
      "ts": 1680074829209,
      "change": "0.0381",
      "visible_time": 1669869031390,
      "tags": []
    },
    {
      "channel": "TICKER",
      "symbol": "ETH-USDT",
      "open": "1728.7",
      "close": "1806.65",
      "high": "1815.5",
      "low": "1713.1",
      "quantity": "3367.87",
      "contract_quantity": "336787",
      "amount": "5920504.033",
      "ts": 1680074829125,
      "change": "0.0451",
      "visible_time": 1669869031395,
      "tags": []
    },
    
    ...
    ]
    }